import { ADMIN_API_MIDDLEWARES } from "../middlewares/common.middleware";

export { };
const express = require('express');
const router = express.Router();
const adminController = require('../controllers/admin.controller');

router.get('/api/admin/users', ADMIN_API_MIDDLEWARES, adminController.getUsers);
router.put('/api/admin/impersonate', ADMIN_API_MIDDLEWARES, adminController.updateImpersonation);
router.delete('/api/admin/impersonate', ADMIN_API_MIDDLEWARES, adminController.deleteImpersonation);

module.exports = router;