import { PROTECTED_API_MIDDLEWARES } from "../middlewares/common.middleware";

export { };
const express = require('express');
const router = express.Router();
const keyController = require('../controllers/api-keys.controller');

router.get('/api/keys', PROTECTED_API_MIDDLEWARES, keyController.getApiKeys);
router.post('/api/keys', PROTECTED_API_MIDDLEWARES, keyController.createApiKey);
router.delete('/api/keys', PROTECTED_API_MIDDLEWARES, keyController.deleteApiKey);

module.exports = router;