import { AUTH_MIDDLEWARES, PROTECTED_API_MIDDLEWARES, PUBLIC_API_MIDDLEWARES } from "../middlewares/common.middleware";

export { };
const express = require('express');
const router = express.Router();
const authController = require('../controllers/auth.controller');

router.get('/api/auth/connections', authController.connectionCallback);
router.post('/api/auth/connections', PROTECTED_API_MIDDLEWARES, authController.connectionPreparation);
router.post('/api/auth/twitch/callback', authController.twitchCallback);
router.get('/api/auth/validate', AUTH_MIDDLEWARES, authController.validate);

module.exports = router;