import { PROTECTED_API_MIDDLEWARES } from "../middlewares/common.middleware";

export { };
const express = require('express');
const router = express.Router();
const twitchController = require('../controllers/twitch.controller');

router.get('/api/twitch/redemptions', PROTECTED_API_MIDDLEWARES, twitchController.getTwitchRedemptions);
router.get('/api/twitch/users', PROTECTED_API_MIDDLEWARES, twitchController.getTwitchUsers);

module.exports = router;